> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Collection (TSQ)

> This is the endpoint to verify a Transaction (TSQ)



## OpenAPI

````yaml /api-reference/openapi-3.1.yml get /payments/v1/payments/verify/{reference}
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Card Collections
    description: Everything about your card payment collections with payfonte
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /payments/v1/payments/verify/{reference}:
    get:
      tags:
        - Collections
      summary: Verify Collection (TSQ)
      description: This is the endpoint to verify a Transaction (TSQ)
      operationId: verifyPaymentTransaction
      parameters:
        - in: path
          name: reference
          schema:
            type: string
          required: true
          description: Reference of the transaction to verify
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/VerifyTransactionResponse'
components:
  schemas:
    VerifyTransactionResponse:
      type: object
      properties:
        clientId:
          type: string
          example: 6thbridge
        status:
          type: string
          description: Status of the transaction
          enum:
            - success
            - failed
            - pending
          example: success
        statusDescription:
          type: string
          example: SUCCESSFUL
        reference:
          type: string
          description: Transaction Reference
          example: DDC20260112090912SALGA
        externalReference:
          type: string
          description: >-
            This is the reference sent to us by the merchant when the
            transaction was created
          example: DDC20260112090912SALGA
        providersReference:
          type: string
          example: PIX_57688731248976662631
        currency:
          $ref: '#/components/schemas/Currency'
        charge:
          type: integer
          example: 5
        totalAmount:
          type: integer
          example: 1005
        amount:
          $ref: '#/components/schemas/Amount'
          example: 1000
        user:
          type: object
          properties:
            phoneNumber:
              type: string
              example: '+221786836369'
        metadata:
          type: object
          properties:
            trafficType:
              type: string
              example: CLOTHING
            merchantName:
              type: string
              example: Sample Name
            bankName:
              type: string
              example: CAPITEC BANK
            bankCode:
              type: string
              example: '4700'
        checkoutId:
          type: string
          example: 69651ca8bf1ff6b132d93a47
        provider:
          type: string
          example: wave-senegal
        providerLabel:
          type: string
          example: Wave
        channel:
          type: string
          example: mobile-money
        id:
          type: string
          example: 69651ca8bf1ff6b132d93a47
        paymentCard:
          type: string
          nullable: true
          default: null
        paidAt:
          type: integer
          description: Unix timestamp value for when payment was verified from the provider
          example: 1768234193
    Currency:
      type: string
      description: 3 character currency code
      example: USD, NGN, XOF, XAF
      examples:
        - NGN
        - USD
        - XOF
        - XAF
    Amount:
      type: integer
      description: >-
        Amount should be in the subunit of the supported currency i.e value *
        100 [Amount
        Specification](https://docs.payfonte.com/guides/introductions/amount-specification)
      format: int64
      example: 100000
      examples:
        - 100000
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````